# Grenades

Requires ModThatIsNotMod

A mod that adds a few types of grenade, as well as the ability for other modders to create their own relatively easily. To install, unzip the contents of the .zip into your BONEWORKS install directory. Grenades can be spawned under the gizmos category of the utility gun spawn menu.

Grenades added:

 - Frag Grenade: A classic grenade - pull the pin and throw it at people you don't like. The 5 second fuse starts when the handle is released (when you let go). It sends shrapnel in all directions, so being near one of these is playing a lottery with life and death? Will a fragment catch your head? Will it not? Find out today.
 - Push Grenade: A grenade more useful for using on yourself than on enemies. It causes no damage, but pushes all objects around it out with a strong force. Sit on top of one as it explodes, and you can reach for the skies. Chain multiple explosions, and you can cover some serious ground. 3 second fuse.
 - Void Grenade: An odd specimen, the icosahedral structure is built to contain a core made of pure void particles.  When it goes off, it draws everything nearby into a growing void anomaly, before it collapses and sends everything flying outwards.



Github: https://github.com/WNP78/Grenades




For those who want to make their own grenades, import the `defaultGrenades.unitypackage` in the `UserData/Grenades` folder. This contains all the assets I used to make the default.grenade file. A .grenade file is a unity asset bundle which must have a text asset called "Grenades.xml" which contains definitions of how the grenades should behave, and the paths to their prefabs. Every available feature is pretty much demonstrated in the stock grenade XML, so I suggest adapting these. Any more questions, you can ask me in the BONEWORKS discord server, or the BoneTome server, or open the dll with a decompiler. It is also theoretically possible to add custom explosion effects by script by inheriting from `WNP78.Grenades.ExplosionModule.ExplosionAction` and adding your class to `WNP78.Grenades.ExplosionModule.CustomActions`.

## Changelog

0.1.5 (6/6/2021):
 - Minor audio fixes

0.1.001 (17/12/2020):
 - Added support for Handle and Pin sounds
 - Added handle and pin sounds to default grenades
 - Added experimental custom map support
 - Added handle and pin events
 - Added support for multiple rotating things on handle.